### Method

# Gio DBusConnection set_exit_on_close

since: 2.26

#### Declaration [src]

    void
    g_dbus_connection_set_exit_on_close (
      GDBusConnection* connection,
      gboolean exit_on_close
    )

#### Description [src]

Sets whether the process should be terminated when `connection` is closed by the remote peer. See `GDBusConnection:exit-on-close` for more details.

Note that this function should be used with care. Most modern UNIX desktops tie the notion of a user session with the session bus, and expect all of a user’s applications to quit when their bus connection goes away. If you are setting `exit_on_close` to `FALSE` for the shared session bus connection, you should make sure that your application exits when the user session ends.

Available since: 2.26

Sets property | `Gio.DBusConnection:exit-on-close`

#### Parameters

`exit_on_close`

  Type: `gboolean`

  Whether the process should be terminated when `connection` is closed by the remote peer.